Token transfer Prepare
POST
/v1/transfer/token/prepare
const url = 'https://api.parasta.io/v1/transfer/token/prepare';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"networkId":"example","tokenId":"example","to":"example","amount":"example","memo":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/transfer/token/prepare \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "networkId": "example", "tokenId": "example", "to": "example", "amount": "example", "memo": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
networkId
required
string
tokenId
required
string
to
required
Recipient address
string
amount
required
Raw token amount (decimals not applied)
string
memo
string
Example generated
{ "networkId": "example", "tokenId": "example", "to": "example", "amount": "example", "memo": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
validation
object
balance
string
sufficient
boolean
dailyLimitUsed
string
dailyLimitRemaining
string
travelRule
object
required
boolean
thresholdKrw
string
signing
object
description
string
items
required
Array<object>
object
id
required
string
parameter
required
Time- and state-independent parameters of a signing slot.
One of two modes: on-chain signing (algorithm + keyUri + domain) or 2FA (authMethod).
object
algorithm
E.g.: ecdsa-secp256k1-keccak, eip191-personal-sign,
eip712-erc4337-userop-v1, eip712-erc4337-merkleroot-v1.
string
keyUri
string
domain
object
key
additional properties
any
authMethod
string
payload
Present only for on-chain signing slots. Empty for 2FA slots.
string
summary
object
tokenSymbol
string
amount
string
displayAmount
string
to
string
networkName
string
estimatedFee
string
feePayor
string
Example
{ "signing": { "items": [ { "parameter": { "algorithm": "ecdsa-secp256k1-keccak", "authMethod": "passkey" } } ] }, "summary": { "feePayor": "user" }}